/**
 * @file
 * Project Wiki behaviors.
 */
(function (Drupal, once) {
  Drupal.behaviors.projectWikiSearch = {
    attach(context, settings) {
      once("projectWikiSearch", ".project-wiki-entries-list").forEach(function (list) {
        const options = {
          valueNames: [
            "project-wiki-entry__title",
            "project-wiki-entry__category",
            "project-wiki-entry__developer-content",
            "project-wiki-entry__teaser",
          ],
        };
        const entriesList = new List(list, options);
        // Add a class to indicate listjs was initialized on the input:
        entriesList.list.classList.add("listjs-initialized");
      });
    },
  };
})(Drupal, once);
